Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class TrackEvent

    java.lang.Object
      org.hyperic.hq.product.TrackEvent

All Implemented Interfaces:
  Serializable

    public class TrackEvent

extends Object
implements Serializable

Simple data class for sending config and log track events back to the server. Eventually these may need to be seperated out.

See Also:
  Serialized Form

Field Summary
`static int` | `MESSAGE_MAXLEN`
`static int` | `SOURCE_MAXLEN`

Constructor Summary
`TrackEvent(org.hyperic.hq.appdef.shared.AppdefEntityID id, long time, int level, String source, String message)`
`TrackEvent(String id, long time, int level, String source, String message)`

Method Summary
`static TrackEvent` | `decode(String data)`
`String` | `encode()`
`org.hyperic.hq.appdef.shared.AppdefEntityID` | `getAppdefId()`
`int` | `getLevel()`
`String` | `getMessage()`
`String` | `getSource()`
`long` | `getTime()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_MAXLEN

    public static final int MESSAGE_MAXLEN

See Also:
  Constant Field Values

### SOURCE_MAXLEN

    public static final int SOURCE_MAXLEN

See Also:
  Constant Field Values

Constructor Detail

### TrackEvent

    public TrackEvent(org.hyperic.hq.appdef.shared.AppdefEntityID id,
                      long time,
                      int level,
                      String source,
                      String message)

### TrackEvent

    public TrackEvent(String id,
                      long time,
                      int level,
                      String source,
                      String message)

Method Detail

### getAppdefId

    public org.hyperic.hq.appdef.shared.AppdefEntityID getAppdefId()

### getSource

    public String getSource()

### getMessage

    public String getMessage()

### getTime

    public long getTime()

### getLevel

    public int getLevel()

### encode

    public String encode()
                  throws IOException

  Throws:
    `IOException`

### decode

    public static TrackEvent decode(String data)
                             throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.